uniform float time;
uniform float time2;
uniform vec4 color;
uniform sampler2D Noise1;

varying vec2 vTexCoord;
void main(void)
{
  vec2 disp;

  disp.x = texture2D(Noise1, vTexCoord + vec2(time),0.5+time2).r;
  disp.y = texture2D(Noise1, vTexCoord + vec2(0.5+time2,time)).r;
  vec4 col = texture2D(Noise1, vTexCoord+disp);
  if (col.r < .2) { col.rgba = vec4(0.); }
  
  gl_FragColor = col * color;

}

